Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve
Class RGIter

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.RGIter

All Implemented Interfaces:
  java.io.Serializable

    public class RGIter

extends java.lang.Object
implements java.io.Serializable

This data structure represents one iteration of the AS (or APS) algorithm

See Also:
  Serialized Form

Field Summary
`long` | `genPtsCount` counter on potential exteme points generated over the course of this iteration
`Point[][]` | `intersections` `intersections[a]` saves the intersections at action `a=(a1*m2+a2)` during this iteration.
`int` | `iter` the iteration number
`int` | `numDrop_end` number of action profiles dropped by end of this iteration
`int` | `numDrop_start` number of action profiles dropped at start of this iteration
`Point` | `punishment` punishment vector u at the *start* of this iteration
`private static long` | `serialVersionUID` serialization ID
`BitSetFixed` | `usableActions` Shows which action profiles are usable as of the *end* of this iteration
`GameExtremePoint[]` | `W` W is the payoff set at the *start* of this iteration

Constructor Summary
`RGIter(int iter, boolean keepActions, int numActions, GameExtremePoint[] W, Point punishment, int numDrop_start, BitSetFixed usableActions)` Constructor: see field information

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  serialization ID

  See Also:
    Constant Field Values

### iter

    public int iter

  the iteration number

### W

    public GameExtremePoint[] W

  W is the payoff set at the *start* of this iteration

### punishment

    public Point punishment

  punishment vector u at the *start* of this iteration

### intersections

    public Point[][] intersections

  `intersections[a]` saves the intersections at action `a=(a1*m2+a2)` during this iteration. `intersections[a]` is null if this action cannot be supported

### usableActions

    public BitSetFixed usableActions

  Shows which action profiles are usable as of the *end* of this iteration

### genPtsCount

    public long genPtsCount

  counter on potential exteme points generated over the course of this iteration

### numDrop_start

    public int numDrop_start

  number of action profiles dropped at start of this iteration

### numDrop_end

    public int numDrop_end

  number of action profiles dropped by end of this iteration

Constructor Detail

### RGIter

    public RGIter(int iter,
                  boolean keepActions,
                  int numActions,
                  GameExtremePoint[] W,
                  Point punishment,
                  int numDrop_start,
                  BitSetFixed usableActions)

  Constructor: see field information

  Parameters:
    `iter` -
    `keepActions` -
    `numActions` -
    `W` -
    `punishment` -
    `numDrop_start` -
    `usableActions` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD